Subject: bug#36251: Regex library doesn't recognize ']' in a character class

From: David Pirotte <[email-masked]>
Date: Fri, 28 Jun 2019 08:21:08 -0300

Hello,

> ...
> It turns out that there are several flavors of regular expressions in
> common use, with different features and syntax.  The link you provided
> is using PCRE (PHP) regular expressions (see the "flavor" pane on the
> left), and there are three other supported flavors on that web site.
> ...

Fwiw, I just came across a pcre binding for guile(*), here:

	https://github.com/NalaGinrut/guile-pcre-ffi

I didn't try it and I have no idea about the general quality and robustness of the
binding, last updated 4y ago it seems, but the code is really small, uses the ffi,
so it should be quite easy to patch if necessary and may be fun to 'resurrect' ...

David

(*)	I found it while looking for something else, here:

		http://sph.mn/foreign/guile-software.html